<div class="form-group">
    <div class="input-group has-validation">
        <span class="input-group-text" id="inputGroupPrepend"><i class="fab fa-product-hunt"></i></span>
        <input type="text" name="name" value="{{this.name}}" class="form-control" id="name" aria-describedby="inputGroupPrepend" placeholder="Nhập tên của sản phẩm" required>
        <div class="invalid-feedback">
            Vui lòng nhập tên sản phẩm.
        </div>
        <div class="valid-feedback">
            Đã hợp lệ.
        </div>
    </div>
</div>
<div class="form-group">
    <div class="input-group">
        <span class="input-group-text" id="inputGroupPrepend"><i class="fab fa-speakap"></i></span>
        <input type="number" name="quantity" value="{{this.quantity}}" placeholder="Nhập số lượng" class="form-control" id="quantity" required>
        <div class="invalid-feedback">
            Vui lòng nhập số lượng.
        </div>
        <div class="valid-feedback">
            Đã hợp lệ.
        </div>
    </div>
    <span class="form-message"></span>
</div>
<div class="form-group">
    <div class="input-group">
        <span class="input-group-text" id="inputGroupPrepend"><i class="fas fa-dollar-sign"></i></span>
        <input type="number" name="price" value="{{this.price}}" placeholder="Nhập giá nhập của sản phẩm" class="form-control" id="price" required>
        <div class="invalid-feedback">
            Vui lòng nhập giá nhập.
        </div>
        <div class="valid-feedback">
            Đã hợp lệ.
        </div>
    </div>
    <span class="form-message"></span>
</div>
<div class="form-group">
    <div class="input-group">
        <span class="input-group-text" id="inputGroupPrepend"><i class="fas fa-dollar-sign"></i></i></span>
        <input type="number" name="price_retail" value="{{this.price_retail}}" placeholder="Nhập giá bán của sản phẩm" class="form-control" id="price_retail" required>
        <div class="invalid-feedback">
            Vui lòng nhập giá bán.
        </div>
        <div class="valid-feedback">
            Đã hợp lệ.
        </div>
    </div>
</div>